- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_Root_POA Class Reference

Implementation of the PortableServer::POA interface. More...

`#include <Root_POA.h>`

Inheritance diagram for TAO_Root_POA:

[legend]
Collaboration diagram for TAO_Root_POA:

[legend]
List of all members.

## Public Types
typedef ACE_CString | String
enum | { TAO_OBJECTKEY_PREFIX_SIZE = 4 }
## Public Member Functions
PortableServer::POA_ptr | create_POA (const char *adapter_name, PortableServer::POAManager_ptr poa_manager, const CORBA::PolicyList &policies) throw (CORBA::SystemException, PortableServer::POA::AdapterAlreadyExists, PortableServer::POA::InvalidPolicy)
PortableServer::POA_ptr | find_POA (const char *adapter_name, CORBA::Boolean activate_it) throw (CORBA::SystemException, PortableServer::POA::AdapterNonExistent)
void | destroy (CORBA::Boolean etherealize_objects, CORBA::Boolean wait_for_completion) throw (CORBA::SystemException)
PortableServer::ThreadPolicy_ptr | create_thread_policy (PortableServer::ThreadPolicyValue value) throw (CORBA::SystemException)
PortableServer::LifespanPolicy_ptr | create_lifespan_policy (PortableServer::LifespanPolicyValue value) throw (CORBA::SystemException)
PortableServer::IdUniquenessPolicy_ptr | create_id_uniqueness_policy (PortableServer::IdUniquenessPolicyValue value) throw (CORBA::SystemException)
PortableServer::IdAssignmentPolicy_ptr | create_id_assignment_policy (PortableServer::IdAssignmentPolicyValue value) throw (CORBA::SystemException)
PortableServer::ImplicitActivationPolicy_ptr | create_implicit_activation_policy (PortableServer::ImplicitActivationPolicyValue value) throw (CORBA::SystemException)
PortableServer::ServantRetentionPolicy_ptr | create_servant_retention_policy (PortableServer::ServantRetentionPolicyValue value) throw (CORBA::SystemException)
PortableServer::RequestProcessingPolicy_ptr | create_request_processing_policy (PortableServer::RequestProcessingPolicyValue value) throw (CORBA::SystemException)
char * | the_name () throw (CORBA::SystemException)
PortableServer::POA_ptr | the_parent () throw (CORBA::SystemException)
PortableServer::POAList * | the_children () throw (CORBA::SystemException)
PortableServer::POAManager_ptr | the_POAManager () throw (CORBA::SystemException)
PortableInterceptor::AdapterManagerId | get_manager_id () throw (CORBA::SystemException)
PortableInterceptor::AdapterName * | adapter_name () throw (CORBA::SystemException)
void | save_ior_component (const IOP::TaggedComponent &component)
void | save_ior_component_and_profile_id (const IOP::TaggedComponent &component, IOP::ProfileId profile_id)
PortableServer::AdapterActivator_ptr | the_activator () throw (CORBA::SystemException)
void | the_activator (PortableServer::AdapterActivator_ptr adapter_activator) throw (CORBA::SystemException)
PortableServer::ServantManager_ptr | get_servant_manager () throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
void | set_servant_manager (PortableServer::ServantManager_ptr imgr) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
PortableServer::Servant | get_servant () throw (CORBA::SystemException, PortableServer::POA::NoServant, PortableServer::POA::WrongPolicy)
void | set_servant (PortableServer::Servant servant) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
PortableServer::ObjectId * | activate_object (PortableServer::Servant p_servant) throw (CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::WrongPolicy)
void | activate_object_with_id (const PortableServer::ObjectId &id, PortableServer::Servant p_servant) throw (CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::ObjectAlreadyActive, PortableServer::POA::WrongPolicy)
void | deactivate_object (const PortableServer::ObjectId &oid) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)
CORBA::Object_ptr | create_reference (const char *intf) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
CORBA::Object_ptr | create_reference_with_id (const PortableServer::ObjectId &oid, const char *intf) throw (CORBA::SystemException)
PortableServer::ObjectId * | servant_to_id (PortableServer::Servant p_servant) throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)
PortableServer::ObjectId * | servant_to_user_id (PortableServer::Servant p_servant) throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)
CORBA::Object_ptr | servant_to_reference (PortableServer::Servant p_servant) throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)
PortableServer::Servant | reference_to_servant (CORBA::Object_ptr reference) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongAdapter, PortableServer::POA::WrongPolicy)
PortableServer::ObjectId * | reference_to_id (CORBA::Object_ptr reference) throw (CORBA::SystemException, PortableServer::POA::WrongAdapter, PortableServer::POA::WrongPolicy)
PortableServer::Servant | id_to_servant (const PortableServer::ObjectId &oid) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)
CORBA::Object_ptr | id_to_reference (const PortableServer::ObjectId &oid) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)
CORBA::OctetSeq * | id () throw (CORBA::SystemException)
TAO_POA_Policy_Set & | policies (void)
| Accessor for POA policies.
CORBA::Policy_ptr | get_policy (CORBA::PolicyType policy)
| Get the set policy of the given type.
virtual CORBA::PolicyList * | client_exposed_policies (CORBA::Short object_priority)
| TAO_Root_POA (const String &name, TAO_POA_Manager &poa_manager, const TAO_POA_Policy_Set &policies, TAO_Root_POA *parent, ACE_Lock &lock, TAO_SYNCH_MUTEX &thread_lock, TAO_ORB_Core &orb_core, TAO_Object_Adapter *object_adapter)
virtual | ~TAO_Root_POA (void)
const TAO_Object_Adapter::poa_name & | folded_name (void) const
const TAO_Object_Adapter::poa_name & | system_name (void) const
TAO_ORB_Core & | orb_core (void) const
| ORB Core for POA.
TAO::Portable_Server::Cached_Policies::PriorityModel | priority_model (void) const
CORBA::Boolean | cleanup_in_progress (void)
TAO_Object_Adapter & | object_adapter (void)
ACE_Lock & | lock (void)
TAO_Stub * | key_to_stub (const TAO::ObjectKey &key, const char *type_id, CORBA::Short priority)
PortableInterceptor::AdapterState | get_adapter_state ()
| Accessor methods to POA state.
virtual void * | thread_pool (void) const
virtual CORBA::Policy * | server_protocol (void)
CORBA::ULong | outstanding_requests (void) const
const ACE_CString & | name (void) const
CORBA::Boolean | waiting_destruction (void) const
CORBA::Object_ptr | invoke_key_to_object ()
CORBA::Boolean | system_id (void)
CORBA::ULong | waiting_servant_deactivation (void) const
TAO_POA_Manager & | tao_poa_manager ()
| Return the POA Manager related to this POA.
bool | is_poa_generated (CORBA::Object_ptr reference, PortableServer::ObjectId &system_id)
bool | is_servant_activation_allowed (PortableServer::Servant servant, int &wait_occurred_restart_call)
int | rebind_using_user_id_and_system_id (PortableServer::Servant servant, const PortableServer::ObjectId &user_id, const PortableServer::ObjectId &system_id, TAO::Portable_Server::Servant_Upcall &servant_upcall)
CORBA::Boolean | servant_has_remaining_activations (PortableServer::Servant servant)
bool | allow_implicit_activation (void) const
bool | allow_multiple_activations (void) const
int | is_servant_active (PortableServer::Servant servant, int &wait_occurred_restart_call)
void | deactivate_object_i (const PortableServer::ObjectId &oid) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)
CORBA::Boolean | is_persistent (void) const
CORBA::Short | server_priority (void) const
bool | has_system_id (void) const
PortableServer::Servant | find_servant (const PortableServer::ObjectId &system_id)
TAO_SERVANT_LOCATION | servant_present (const PortableServer::ObjectId &system_id, PortableServer::Servant &servant)
PortableServer::Servant | find_servant (const PortableServer::ObjectId &system_id, TAO::Portable_Server::Servant_Upcall &servant_upcall, TAO::Portable_Server::POA_Current_Impl &poa_current_impl)
int | find_servant_priority (const PortableServer::ObjectId &system_id, CORBA::Short &priority)
int | unbind_using_user_id (const PortableServer::ObjectId &user_id)
void | cleanup_servant (PortableServer::Servant servant, const PortableServer::ObjectId &user_id)
void | post_invoke_servant_cleanup (const PortableServer::ObjectId &system_id, const TAO::Portable_Server::Servant_Upcall &servant_upcall)
bool | validate_lifespan (CORBA::Boolean is_persistent, const TAO::Portable_Server::Temporary_Creation_Time &creation_time) const
PortableServer::ObjectId * | activate_object_i (PortableServer::Servant p_servant, CORBA::Short priority, int &wait_occurred_restart_call) throw (CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::WrongPolicy)
CORBA::Object_ptr | id_to_reference_i (const PortableServer::ObjectId &oid, bool indirect) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)
PortableServer::ObjectId * | servant_to_id_i (PortableServer::Servant servant) throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)
TAO_SYNCH_CONDITION & | servant_deactivation_condition (void)
int | is_poa_generated_id (const PortableServer::ObjectId &id)
void | check_state ()
| Check the state of this POA.
int | delete_child (const String &child)
PortableServer::Servant | user_id_to_servant_i (const PortableServer::ObjectId &oid) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)
virtual CORBA::ORB_ptr | _get_orb ()
virtual void | poa_activated_hook ()
| Hook - The POA has been (or is being) activated.
virtual void | poa_deactivated_hook ()
| Hook - The POA has been deactivated.
virtual void | servant_activated_hook (PortableServer::Servant servant, const PortableServer::ObjectId &oid)
| Hook - A servant has been activated.
virtual void | servant_deactivated_hook (PortableServer::Servant servant, const PortableServer::ObjectId &oid)
| Hook - A servant has been deactivated.
CORBA::Object_ptr | invoke_key_to_object_helper_i (const char *repository_id, const PortableServer::ObjectId &id) throw (CORBA::SystemException)
## Static Public Member Functions
static char | name_separator (void)
static CORBA::ULong | name_separator_length (void)
static void | check_for_valid_wait_for_completions (const TAO_ORB_Core &orb_core, CORBA::Boolean wait_for_completion)
static int | parse_ir_object_key (const TAO::ObjectKey &object_key, PortableServer::ObjectId &user_id)
| Calls protected static method used when POACurrent is not appropriate.
static void | ort_adapter_factory_name (const char *name)
static const char * | ort_adapter_factory_name (void)
static void | imr_client_adapter_name (const char *name)
| Sets the value of TAO_POA_Static_Resources::imr_client_adapter_name_.
static const char * | imr_client_adapter_name (void)
| Gets the value of TAO_POA_Static_Resources::imr_client_adapter_name_.
## Public Attributes
CORBA::ULong | caller_key_to_object_
PortableServer::Servant | servant_for_key_to_object_
Key_To_Object_Params | key_to_object_params_
## Static Public Attributes
static CORBA::Octet const | objectkey_prefix [TAO_OBJECTKEY_PREFIX_SIZE]
## Protected Types
typedef ACE_Hash_Map_Manager_Ex< ACE_CString, TAO_Root_POA *, ACE_Hash< ACE_CString >, ACE_Equal_To< ACE_CString >, ACE_Null_Mutex > | CHILDREN
## Protected Member Functions
int | enter (void)
int | exit (void)
virtual TAO_Root_POA * | new_POA (const String &name, TAO_POA_Manager &poa_manager, const TAO_POA_Policy_Set &policies, TAO_Root_POA *parent, ACE_Lock &lock, TAO_SYNCH_MUTEX &thread_lock, TAO_ORB_Core &orb_core, TAO_Object_Adapter *object_adapter)
| Template method for creating new POA's of this type.
PortableServer::POA_ptr | create_POA_i (const char *adapter_name, PortableServer::POAManager_ptr poa_manager, const CORBA::PolicyList &policies) throw (CORBA::SystemException, PortableServer::POA::AdapterAlreadyExists, PortableServer::POA::InvalidPolicy)
PortableServer::POA_ptr | create_POA_i (const String &adapter_name, TAO_POA_Manager &poa_manager, const TAO_POA_Policy_Set &policies) throw (CORBA::SystemException, PortableServer::POA::AdapterAlreadyExists, PortableServer::POA::InvalidPolicy)
TAO_Root_POA * | find_POA_i (const ACE_CString &child_name, CORBA::Boolean activate_it) throw (CORBA::SystemException, PortableServer::POA::AdapterNonExistent)
void | destroy_i (CORBA::Boolean etherealize_objects, CORBA::Boolean wait_for_completion) throw (CORBA::SystemException)
void | complete_destruction_i ()
PortableServer::POAList * | the_children_i () throw (CORBA::SystemException)
PortableInterceptor::AdapterName * | adapter_name_i () throw (CORBA::SystemException)
void | adapter_state_changed (const TAO::ORT_Array &array_obj_ref_template, PortableInterceptor::AdapterState state) throw (CORBA::SystemException)
void | add_ior_component (TAO_MProfile &mprofile, const IOP::TaggedComponent &component) throw (CORBA::SystemException)
| Add the given tagged component to all profiles.
void | add_ior_component_to_profile (TAO_MProfile &mprofile, const IOP::TaggedComponent &component, IOP::ProfileId profile_id) throw (CORBA::SystemException)
CORBA::Object_ptr | key_to_object (const TAO::ObjectKey &key, const char *type_id, TAO_ServantBase *servant, CORBA::Boolean collocated, CORBA::Short priority, bool indirect)
virtual TAO_Stub * | key_to_stub_i (const TAO::ObjectKey &key, const char *type_id, CORBA::Short priority)
| Like key_to_stub() but assume that the ORB is not shutting down.
TAO_Stub * | create_stub_object (const TAO::ObjectKey &object_key, const char *type_id, CORBA::PolicyList *policy_list, TAO_Acceptor_Filter *filter, TAO_Acceptor_Registry &acceptor_registry)
PortableServer::Servant | get_servant_i () throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
void | activate_object_with_id_i (const PortableServer::ObjectId &id, PortableServer::Servant p_servant, CORBA::Short priority, int &wait_occurred_restart_call) throw (CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::ObjectAlreadyActive, PortableServer::POA::WrongPolicy)
virtual void | remove_from_parent_i ()
void | deactivate_all_objects_i (CORBA::Boolean etherealize_objects) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
void | deactivate_all_objects_i (CORBA::Boolean etherealize_objects, CORBA::Boolean wait_for_completion) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
void | wait_for_completions (CORBA::Boolean wait_for_completion)
CORBA::Object_ptr | create_reference_i (const char *intf, CORBA::Short priority) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
CORBA::Object_ptr | create_reference_with_id_i (const PortableServer::ObjectId &oid, const char *intf, CORBA::Short priority) throw (CORBA::SystemException)
PortableServer::Servant | reference_to_servant_i (CORBA::Object_ptr reference) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongAdapter, PortableServer::POA::WrongPolicy)
CORBA::Object_ptr | servant_to_reference_i (PortableServer::Servant p_servant) throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)
PortableServer::Servant | id_to_servant_i (const PortableServer::ObjectId &oid) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)
void | establish_components ()
void | components_established (PortableInterceptor::IORInfo_ptr info)
void | set_folded_name (TAO_Root_POA *parent)
void | set_id (TAO_Root_POA *parent)
TAO::ObjectKey * | create_object_key (const PortableServer::ObjectId &id)
PortableInterceptor::ObjectReferenceTemplate * | get_adapter_template () throw (CORBA::SystemException)
| Accessor methods to ObjectReferenceTemplate.
PortableInterceptor::ObjectReferenceTemplate * | get_adapter_template_i (void)
| Accessor methods to ObjectReferenceTemplate, non locked version.
PortableInterceptor::ObjectReferenceFactory * | get_obj_ref_factory () throw (CORBA::SystemException)
| Accessor methods to PortableInterceptor::ObjectReferenceFactory.
void | set_obj_ref_factory (PortableInterceptor::ObjectReferenceFactory *current_factory)
| Set the object reference factory.
TAO_SERVANT_LOCATION | locate_servant_i (const PortableServer::ObjectId &id, PortableServer::Servant &servant)
PortableServer::Servant | locate_servant_i (const char *operation, const PortableServer::ObjectId &id, TAO::Portable_Server::Servant_Upcall &servant_upcall, TAO::Portable_Server::POA_Current_Impl &poa_current_impl, int &wait_occurred_restart_call)
TAO::ORT_Adapter * | ORT_adapter () throw (CORBA::SystemException)
TAO::ORT_Adapter * | ORT_adapter_i (void)
TAO::ORT_Adapter_Factory * | ORT_adapter_factory (void)
CORBA::Boolean | persistent (void)
virtual CORBA::Boolean | root (void) const
virtual char | root_key_type (void)
void | outstanding_requests (CORBA::ULong new_outstanding_requests)
CORBA::ULong | increment_outstanding_requests (void)
CORBA::ULong | decrement_outstanding_requests (void)
## Static Protected Member Functions
static int | parse_key (const TAO::ObjectKey &key, TAO_Object_Adapter::poa_name &poa_system_name, PortableServer::ObjectId &system_id, CORBA::Boolean &is_root, CORBA::Boolean &is_persistent, CORBA::Boolean &is_system_id, TAO::Portable_Server::Temporary_Creation_Time &poa_creation_time)
static char | persistent_key_char (void)
static char | transient_key_char (void)
static CORBA::ULong | persistent_key_type_length (void)
static char | system_id_key_char (void)
static char | user_id_key_char (void)
static CORBA::ULong | system_id_key_type_length (void)
static char | root_key_char (void)
static char | non_root_key_char (void)
static CORBA::ULong | root_key_type_length (void)
## Protected Attributes
String | name_
TAO_POA_Manager & | poa_manager_
| The POA Manager belonging to this POA.
IOP::TaggedComponentList | tagged_component_
IOP::TaggedComponentList | tagged_component_id_
ACE_Array_Base< IOP::ProfileId > | profile_id_array_
TAO_POA_Policy_Set | policies_
TAO_Object_Adapter::poa_name | folded_name_
TAO_Object_Adapter::poa_name_var | system_name_
CORBA::OctetSeq | id_
TAO::ORT_Adapter * | ort_adapter_
| Pointer to the object reference template adapter.
PortableInterceptor::AdapterState | adapter_state_
| Adapter can be accepting, rejecting etc.
TAO::Portable_Server::Cached_Policies | cached_policies_
TAO::Portable_Server::Active_Policy_Strategies | active_policy_strategies_
PortableServer::AdapterActivator_var | adapter_activator_
CHILDREN | children_
ACE_Lock & | lock_
TAO_ORB_Core & | orb_core_
TAO_Object_Adapter * | object_adapter_
| The object adapter we belong to.
CORBA::Boolean | cleanup_in_progress_
CORBA::ULong | outstanding_requests_
TAO_SYNCH_CONDITION | outstanding_requests_condition_
CORBA::Boolean | wait_for_completion_pending_
CORBA::Boolean | waiting_destruction_
TAO_SYNCH_CONDITION | servant_deactivation_condition_
## Friends
class | TAO_Object_Adapter
class | TAO::Portable_Server::Servant_Upcall
class | TAO::Portable_Server::Non_Servant_Upcall
class | TAO_POA_Manager
class | TAO_RT_Collocation_Resolver
class | TAO_IORInfo
## Classes
struct | Key_To_Object_Params

## Detailed Description

Implementation of the PortableServer::POA interface.

Implementation of the PortableServer::POA interface.

## Member Typedef Documentation

typedef ACE_Hash_Map_Manager_Ex< ACE_CString, TAO_Root_POA *, ACE_Hash<ACE_CString>, ACE_Equal_To<ACE_CString>, ACE_Null_Mutex > TAO_Root_POA::CHILDREN`[protected]`

typedef ACE_CString TAO_Root_POA::String

## Member Enumeration Documentation

anonymous enum

Enumerator:

  TAO_OBJECTKEY_PREFIX_SIZE |

## Constructor & Destructor Documentation

TAO_Root_POA::TAO_Root_POA | ( | const String & | name,
|  | TAO_POA_Manager & | poa_manager,
|  | const TAO_POA_Policy_Set & | policies,
|  | TAO_Root_POA * | parent,
|  | ACE_Lock & | lock,
|  | TAO_SYNCH_MUTEX & | thread_lock,
|  | TAO_ORB_Core & | orb_core,
|  | TAO_Object_Adapter * | object_adapter |
| ) |  |  |

TAO_Root_POA::~TAO_Root_POA | ( | void |  | ) | `[virtual]`

## Member Function Documentation

CORBA::ORB_ptr TAO_Root_POA::_get_orb | ( |  | ) | `[virtual]`

Reimplemented from CORBA::LocalObject.

PortableServer::ObjectId * TAO_Root_POA::activate_object | ( | PortableServer::Servant | p_servant | ) | throw (CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::WrongPolicy)

PortableServer::ObjectId * TAO_Root_POA::activate_object_i | ( | PortableServer::Servant | p_servant,
|  | CORBA::Short | priority,
|  | int & | wait_occurred_restart_call |
| ) |  |  | throw (CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::WrongPolicy)

void TAO_Root_POA::activate_object_with_id | ( | const PortableServer::ObjectId & | id,
|  | PortableServer::Servant | p_servant |
| ) |  |  | throw (CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::ObjectAlreadyActive, PortableServer::POA::WrongPolicy)

void TAO_Root_POA::activate_object_with_id_i | ( | const PortableServer::ObjectId & | id,
|  | PortableServer::Servant | p_servant,
|  | CORBA::Short | priority,
|  | int & | wait_occurred_restart_call |
| ) |  |  | throw (CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::ObjectAlreadyActive, PortableServer::POA::WrongPolicy)`[protected]`

PortableInterceptor::AdapterName* TAO_Root_POA::adapter_name | ( |  | ) | throw (CORBA::SystemException)

This method returns the adapter_name as a sequence of strings of length one or more or just a fixed name depending on the Object Adapter. Added wrt to ORT Spec.

PortableInterceptor::AdapterName * TAO_Root_POA::adapter_name_i | ( |  | ) | throw (CORBA::SystemException)`[protected]`

This method returns the adapter_name as a sequence of strings of length one or more or just a fixed name depending on the Object Adapter. Added wrt to ORT Spec.

void TAO_Root_POA::adapter_state_changed | ( | const TAO::ORT_Array & | array_obj_ref_template,
|  | PortableInterceptor::AdapterState | state |
| ) |  |  | throw (CORBA::SystemException)`[protected]`

Method to notify the IOR Interceptors when there is a state changed not related to POAManager.

void TAO_Root_POA::add_ior_component | ( | TAO_MProfile & | mprofile,
|  | const IOP::TaggedComponent & | component |
| ) |  |  | throw (CORBA::SystemException)`[protected]`

Add the given tagged component to all profiles.

void TAO_Root_POA::add_ior_component_to_profile | ( | TAO_MProfile & | mprofile,
|  | const IOP::TaggedComponent & | component,
|  | IOP::ProfileId | profile_id |
| ) |  |  | throw (CORBA::SystemException)`[protected]`

Add the given tagged component to all profiles matching the given ProfileId.

bool TAO_Root_POA::allow_implicit_activation | ( | void |  | ) | const

bool TAO_Root_POA::allow_multiple_activations | ( | void |  | ) | const

void TAO_Root_POA::check_for_valid_wait_for_completions | ( | const TAO_ORB_Core & | orb_core,
|  | CORBA::Boolean | wait_for_completion |
| ) |  |  | `[static]`

void TAO_Root_POA::check_state | ( |  | ) |

Check the state of this POA.

TAO_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE CORBA::Boolean TAO_Root_POA::cleanup_in_progress | ( | void |  | ) |

void TAO_Root_POA::cleanup_servant | ( | PortableServer::Servant | servant,
|  | const PortableServer::ObjectId & | user_id |
| ) |  |  |

CORBA::PolicyList * TAO_Root_POA::client_exposed_policies | ( | CORBA::Short | object_priority | ) | `[virtual]`

This method gives the policies that are exposed to the client. These policies are shipped within the IOR.

void TAO_Root_POA::complete_destruction_i | ( |  | ) | `[protected]`

void TAO_Root_POA::components_established | ( | PortableInterceptor::IORInfo_ptr | info | ) | `[protected]`

Call the IORInterceptor::components_established() method on all registered IORInterceptors.

PortableServer::IdAssignmentPolicy_ptr TAO_Root_POA::create_id_assignment_policy | ( | PortableServer::IdAssignmentPolicyValue | value | ) | throw (CORBA::SystemException)

PortableServer::IdUniquenessPolicy_ptr TAO_Root_POA::create_id_uniqueness_policy | ( | PortableServer::IdUniquenessPolicyValue | value | ) | throw (CORBA::SystemException)

PortableServer::ImplicitActivationPolicy_ptr TAO_Root_POA::create_implicit_activation_policy | ( | PortableServer::ImplicitActivationPolicyValue | value | ) | throw (CORBA::SystemException)

PortableServer::LifespanPolicy_ptr TAO_Root_POA::create_lifespan_policy | ( | PortableServer::LifespanPolicyValue | value | ) | throw (CORBA::SystemException)

TAO::ObjectKey * TAO_Root_POA::create_object_key | ( | const PortableServer::ObjectId & | id | ) | `[protected]`

PortableServer::POA_ptr TAO_Root_POA::create_POA | ( | const char * | adapter_name,
|  | PortableServer::POAManager_ptr | poa_manager,
|  | const CORBA::PolicyList & | policies |
| ) |  |  | throw (CORBA::SystemException, PortableServer::POA::AdapterAlreadyExists, PortableServer::POA::InvalidPolicy)

PortableServer::POA_ptr TAO_Root_POA::create_POA_i | ( | const String & | adapter_name,
|  | TAO_POA_Manager & | poa_manager,
|  | const TAO_POA_Policy_Set & | policies |
| ) |  |  | throw (CORBA::SystemException, PortableServer::POA::AdapterAlreadyExists, PortableServer::POA::InvalidPolicy)`[protected]`

PortableServer::POA_ptr TAO_Root_POA::create_POA_i | ( | const char * | adapter_name,
|  | PortableServer::POAManager_ptr | poa_manager,
|  | const CORBA::PolicyList & | policies |
| ) |  |  | throw (CORBA::SystemException, PortableServer::POA::AdapterAlreadyExists, PortableServer::POA::InvalidPolicy)`[protected]`

CORBA::Object_ptr TAO_Root_POA::create_reference | ( | const char * | intf | ) | throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)`[virtual]`

Implements PortableServer::POA.

CORBA::Object_ptr TAO_Root_POA::create_reference_i | ( | const char * | intf,
|  | CORBA::Short | priority |
| ) |  |  | throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)`[protected]`

CORBA::Object_ptr TAO_Root_POA::create_reference_with_id | ( | const PortableServer::ObjectId & | oid,
|  | const char * | intf |
| ) |  |  | throw (CORBA::SystemException)

CORBA::Object_ptr TAO_Root_POA::create_reference_with_id_i | ( | const PortableServer::ObjectId & | oid,
|  | const char * | intf,
|  | CORBA::Short | priority |
| ) |  |  | throw (CORBA::SystemException)`[protected]`

PortableServer::RequestProcessingPolicy_ptr TAO_Root_POA::create_request_processing_policy | ( | PortableServer::RequestProcessingPolicyValue | value | ) | throw (CORBA::SystemException)

PortableServer::ServantRetentionPolicy_ptr TAO_Root_POA::create_servant_retention_policy | ( | PortableServer::ServantRetentionPolicyValue | value | ) | throw (CORBA::SystemException)

TAO_Stub * TAO_Root_POA::create_stub_object | ( | const TAO::ObjectKey & | object_key,
|  | const char * | type_id,
|  | CORBA::PolicyList * | policy_list,
|  | TAO_Acceptor_Filter * | filter,
|  | TAO_Acceptor_Registry & | acceptor_registry |
| ) |  |  | `[protected]`

PortableServer::ThreadPolicy_ptr TAO_Root_POA::create_thread_policy | ( | PortableServer::ThreadPolicyValue | value | ) | throw (CORBA::SystemException)

void TAO_Root_POA::deactivate_all_objects_i | ( | CORBA::Boolean | etherealize_objects,
|  | CORBA::Boolean | wait_for_completion |
| ) |  |  | throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)`[protected]`

void TAO_Root_POA::deactivate_all_objects_i | ( | CORBA::Boolean | etherealize_objects | ) | throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)`[protected]`

void TAO_Root_POA::deactivate_object | ( | const PortableServer::ObjectId & | oid | ) | throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)

void TAO_Root_POA::deactivate_object_i | ( | const PortableServer::ObjectId & | oid | ) | throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)

ACE_INLINE CORBA::ULong TAO_Root_POA::decrement_outstanding_requests | ( | void |  | ) | `[protected]`

int TAO_Root_POA::delete_child | ( | const String & | child | ) |

void TAO_Root_POA::destroy | ( | CORBA::Boolean | etherealize_objects,
|  | CORBA::Boolean | wait_for_completion |
| ) |  |  | throw (CORBA::SystemException)

void TAO_Root_POA::destroy_i | ( | CORBA::Boolean | etherealize_objects,
|  | CORBA::Boolean | wait_for_completion |
| ) |  |  | throw (CORBA::SystemException)`[protected]`

int TAO_Root_POA::enter | ( | void |  | ) | `[protected]`

void TAO_Root_POA::establish_components | ( |  | ) | `[protected]`

This method calls IORInterceptor::establish_components() method on all registered IORInterceptors, and IORInterceptor::components_established() once the former is completed.

int TAO_Root_POA::exit | ( | void |  | ) | `[protected]`

PortableServer::POA_ptr TAO_Root_POA::find_POA | ( | const char * | adapter_name,
|  | CORBA::Boolean | activate_it |
| ) |  |  | throw (CORBA::SystemException, PortableServer::POA::AdapterNonExistent)

TAO_Root_POA * TAO_Root_POA::find_POA_i | ( | const ACE_CString & | child_name,
|  | CORBA::Boolean | activate_it |
| ) |  |  | throw (CORBA::SystemException, PortableServer::POA::AdapterNonExistent)`[protected]`

PortableServer::Servant TAO_Root_POA::find_servant | ( | const PortableServer::ObjectId & | system_id,
|  | TAO::Portable_Server::Servant_Upcall & | servant_upcall,
|  | TAO::Portable_Server::POA_Current_Impl & | poa_current_impl |
| ) |  |  |

PortableServer::Servant TAO_Root_POA::find_servant | ( | const PortableServer::ObjectId & | system_id | ) |

int TAO_Root_POA::find_servant_priority | ( | const PortableServer::ObjectId & | system_id,
|  | CORBA::Short & | priority |
| ) |  |  |

Find the the servant with ObjectId <system_id>, and retrieve its priority.Usually used in RT CORBA with SERVER_DECLARED priority model.

Returns:
  -1 if servant does not exist, else 0 indicating the servant exists and priority successfully retrieved.

ACE_INLINE const TAO_Object_Adapter::poa_name & TAO_Root_POA::folded_name | ( | void |  | ) | const

PortableInterceptor::AdapterState TAO_Root_POA::get_adapter_state | ( |  | ) |

Accessor methods to POA state.

The POA can be in one of HOLDING, ACTIVE, DISCARDING, INACTIVE and NON_EXISTENT states.

PortableInterceptor::ObjectReferenceTemplate* TAO_Root_POA::get_adapter_template | ( |  | ) | throw (CORBA::SystemException)`[protected]`

Accessor methods to ObjectReferenceTemplate.

ACE_INLINE PortableInterceptor::ObjectReferenceTemplate * TAO_Root_POA::get_adapter_template_i | ( | void |  | ) | `[protected]`

Accessor methods to ObjectReferenceTemplate, non locked version.

PortableInterceptor::AdapterManagerId TAO_Root_POA::get_manager_id | ( |  | ) | throw (CORBA::SystemException)

Todo:
  At the moment to POAManagerFactory is implemented and the POAManager has the get_id method this can be zapped, IORInfo can then just call get_id

PortableInterceptor::ObjectReferenceFactory* TAO_Root_POA::get_obj_ref_factory | ( |  | ) | throw (CORBA::SystemException)`[protected]`

Accessor methods to PortableInterceptor::ObjectReferenceFactory.

CORBA::Policy_ptr TAO_Root_POA::get_policy | ( | CORBA::PolicyType | policy | ) |

Get the set policy of the given type.

PortableServer::Servant TAO_Root_POA::get_servant | ( |  | ) | throw (CORBA::SystemException, PortableServer::POA::NoServant, PortableServer::POA::WrongPolicy)`[virtual]`

Implements PortableServer::POA.

PortableServer::Servant TAO_Root_POA::get_servant_i | ( |  | ) | throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)`[protected]`

PortableServer::ServantManager_ptr TAO_Root_POA::get_servant_manager | ( |  | ) | throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)`[virtual]`

Implements PortableServer::POA.

bool TAO_Root_POA::has_system_id | ( | void |  | ) | const

CORBA::OctetSeq * TAO_Root_POA::id | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

Implements PortableServer::POA.

CORBA::Object_ptr TAO_Root_POA::id_to_reference | ( | const PortableServer::ObjectId & | oid | ) | throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)

CORBA::Object_ptr TAO_Root_POA::id_to_reference_i | ( | const PortableServer::ObjectId & | oid,
|  | bool | indirect |
| ) |  |  | throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)

PortableServer::Servant TAO_Root_POA::id_to_servant | ( | const PortableServer::ObjectId & | oid | ) | throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)

PortableServer::Servant TAO_Root_POA::id_to_servant_i | ( | const PortableServer::ObjectId & | oid | ) | throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)`[protected]`

const char * TAO_Root_POA::imr_client_adapter_name | ( | void |  | ) | `[static]`

Gets the value of TAO_POA_Static_Resources::imr_client_adapter_name_.

void TAO_Root_POA::imr_client_adapter_name | ( | const char * | name | ) | `[static]`

Sets the value of TAO_POA_Static_Resources::imr_client_adapter_name_.

ACE_INLINE CORBA::ULong TAO_Root_POA::increment_outstanding_requests | ( | void |  | ) | `[protected]`

CORBA::Object_ptr TAO_Root_POA::invoke_key_to_object | ( |  | ) |

CORBA::Object_ptr TAO_Root_POA::invoke_key_to_object_helper_i | ( | const char * | repository_id,
|  | const PortableServer::ObjectId & | id |
| ) |  |  | throw (CORBA::SystemException)

CORBA::Boolean TAO_Root_POA::is_persistent | ( | void |  | ) | const

bool TAO_Root_POA::is_poa_generated | ( | CORBA::Object_ptr | reference,
|  | PortableServer::ObjectId & | system_id |
| ) |  |  |

int TAO_Root_POA::is_poa_generated_id | ( | const PortableServer::ObjectId & | id | ) |

bool TAO_Root_POA::is_servant_activation_allowed | ( | PortableServer::Servant | servant,
|  | int & | wait_occurred_restart_call |
| ) |  |  |

int TAO_Root_POA::is_servant_active | ( | PortableServer::Servant | servant,
|  | int & | wait_occurred_restart_call |
| ) |  |  |

CORBA::Object_ptr TAO_Root_POA::key_to_object | ( | const TAO::ObjectKey & | key,
|  | const char * | type_id,
|  | TAO_ServantBase * | servant,
|  | CORBA::Boolean | collocated,
|  | CORBA::Short | priority,
|  | bool | indirect |
| ) |  |  | `[protected]`

Wrapper for the ORB's key_to_object that will alter the object pointer if the ImplRepo is used.

TAO_Stub * TAO_Root_POA::key_to_stub | ( | const TAO::ObjectKey & | key,
|  | const char * | type_id,
|  | CORBA::Short | priority |
| ) |  |  |

Create the correct stub, properly initialized with the attributes and policies attached to the current POA.

TAO_Stub * TAO_Root_POA::key_to_stub_i | ( | const TAO::ObjectKey & | key,
|  | const char * | type_id,
|  | CORBA::Short | priority |
| ) |  |  | `[protected, virtual]`

Like key_to_stub() but assume that the ORB is not shutting down.

PortableServer::Servant TAO_Root_POA::locate_servant_i | ( | const char * | operation,
|  | const PortableServer::ObjectId & | id,
|  | TAO::Portable_Server::Servant_Upcall & | servant_upcall,
|  | TAO::Portable_Server::POA_Current_Impl & | poa_current_impl,
|  | int & | wait_occurred_restart_call |
| ) |  |  | `[protected]`

TAO_SERVANT_LOCATION TAO_Root_POA::locate_servant_i | ( | const PortableServer::ObjectId & | id,
|  | PortableServer::Servant & | servant |
| ) |  |  | `[protected]`

ACE_INLINE ACE_Lock & TAO_Root_POA::lock | ( | void |  | ) |

ACE_INLINE const ACE_CString & TAO_Root_POA::name | ( | void |  | ) | const

ACE_INLINE char TAO_Root_POA::name_separator | ( | void |  | ) | `[static]`

ACE_INLINE CORBA::ULong TAO_Root_POA::name_separator_length | ( | void |  | ) | `[static]`

TAO_Root_POA * TAO_Root_POA::new_POA | ( | const String & | name,
|  | TAO_POA_Manager & | poa_manager,
|  | const TAO_POA_Policy_Set & | policies,
|  | TAO_Root_POA * | parent,
|  | ACE_Lock & | lock,
|  | TAO_SYNCH_MUTEX & | thread_lock,
|  | TAO_ORB_Core & | orb_core,
|  | TAO_Object_Adapter * | object_adapter |
| ) |  |  | `[protected, virtual]`

Template method for creating new POA's of this type.

ACE_INLINE char TAO_Root_POA::non_root_key_char | ( | void |  | ) | `[static, protected]`

TAO_Object_Adapter & TAO_Root_POA::object_adapter | ( | void |  | ) |

ACE_INLINE TAO_ORB_Core & TAO_Root_POA::orb_core | ( | void |  | ) | const

ORB Core for POA.

Reimplemented from CORBA::Object.

TAO::ORT_Adapter * TAO_Root_POA::ORT_adapter | ( |  | ) | throw (CORBA::SystemException)`[protected]`

Get the ORT adapter, in case there is no adapter yet, this method will try to create one and hold the POA lock

TAO::ORT_Adapter_Factory * TAO_Root_POA::ORT_adapter_factory | ( | void |  | ) | `[protected]`

const char * TAO_Root_POA::ort_adapter_factory_name | ( | void |  | ) | `[static]`

void TAO_Root_POA::ort_adapter_factory_name | ( | const char * | name | ) | `[static]`

TAO::ORT_Adapter * TAO_Root_POA::ORT_adapter_i | ( | void |  | ) | `[protected]`

Get the ORT adapter, in case there is no adapter yet, this method will try to create one but assumes the POA lock is already hold

ACE_INLINE void TAO_Root_POA::outstanding_requests | ( | CORBA::ULong | new_outstanding_requests | ) | `[protected]`

ACE_INLINE CORBA::ULong TAO_Root_POA::outstanding_requests | ( | void |  | ) | const

int TAO_Root_POA::parse_ir_object_key | ( | const TAO::ObjectKey & | object_key,
|  | PortableServer::ObjectId & | user_id |
| ) |  |  | `[static]`

Calls protected static method used when POACurrent is not appropriate.

int TAO_Root_POA::parse_key | ( | const TAO::ObjectKey & | key,
|  | TAO_Object_Adapter::poa_name & | poa_system_name,
|  | PortableServer::ObjectId & | system_id,
|  | CORBA::Boolean & | is_root,
|  | CORBA::Boolean & | is_persistent,
|  | CORBA::Boolean & | is_system_id,
|  | TAO::Portable_Server::Temporary_Creation_Time & | poa_creation_time |
| ) |  |  | `[static, protected]`

ACE_INLINE CORBA::Boolean TAO_Root_POA::persistent | ( | void |  | ) | `[protected]`

ACE_INLINE char TAO_Root_POA::persistent_key_char | ( | void |  | ) | `[static, protected]`

ACE_INLINE CORBA::ULong TAO_Root_POA::persistent_key_type_length | ( | void |  | ) | `[static, protected]`

void TAO_Root_POA::poa_activated_hook | ( |  | ) | `[virtual]`

Hook - The POA has been (or is being) activated.

These hooks are needed by the CSD strategy to override and no-ops by default.

void TAO_Root_POA::poa_deactivated_hook | ( |  | ) | `[virtual]`

Hook - The POA has been deactivated.

ACE_INLINE TAO_POA_Policy_Set & TAO_Root_POA::policies | ( | void |  | ) |

Accessor for POA policies.

void TAO_Root_POA::post_invoke_servant_cleanup | ( | const PortableServer::ObjectId & | system_id,
|  | const TAO::Portable_Server::Servant_Upcall & | servant_upcall |
| ) |  |  |

TAO::Portable_Server::Cached_Policies::PriorityModel TAO_Root_POA::priority_model | ( | void |  | ) | const

int TAO_Root_POA::rebind_using_user_id_and_system_id | ( | PortableServer::Servant | servant,
|  | const PortableServer::ObjectId & | user_id,
|  | const PortableServer::ObjectId & | system_id,
|  | TAO::Portable_Server::Servant_Upcall & | servant_upcall |
| ) |  |  |

PortableServer::ObjectId * TAO_Root_POA::reference_to_id | ( | CORBA::Object_ptr | reference | ) | throw (CORBA::SystemException, PortableServer::POA::WrongAdapter, PortableServer::POA::WrongPolicy)

PortableServer::Servant TAO_Root_POA::reference_to_servant | ( | CORBA::Object_ptr | reference | ) | throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongAdapter, PortableServer::POA::WrongPolicy)

PortableServer::Servant TAO_Root_POA::reference_to_servant_i | ( | CORBA::Object_ptr | reference | ) | throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongAdapter, PortableServer::POA::WrongPolicy)`[protected]`

void TAO_Root_POA::remove_from_parent_i | ( |  | ) | `[protected, virtual]`

Reimplemented in TAO_Regular_POA.

CORBA::Boolean TAO_Root_POA::root | ( | void |  | ) | const`[protected, virtual]`

Reimplemented in TAO_Regular_POA.

ACE_INLINE char TAO_Root_POA::root_key_char | ( | void |  | ) | `[static, protected]`

ACE_INLINE char TAO_Root_POA::root_key_type | ( | void |  | ) | `[protected, virtual]`

Reimplemented in TAO_Regular_POA.

ACE_INLINE CORBA::ULong TAO_Root_POA::root_key_type_length | ( | void |  | ) | `[static, protected]`

void TAO_Root_POA::save_ior_component | ( | const IOP::TaggedComponent & | component | ) |

Store the given TaggedComponent for eventual insertion into all object reference profiles.

void TAO_Root_POA::save_ior_component_and_profile_id | ( | const IOP::TaggedComponent & | component,
|  | IOP::ProfileId | profile_id |
| ) |  |  |

Store the given TaggedComponent for eventual insertion into all object reference profiles with the given ProfileId.

void TAO_Root_POA::servant_activated_hook | ( | PortableServer::Servant | servant,
|  | const PortableServer::ObjectId & | oid |
| ) |  |  | `[virtual]`

Hook - A servant has been activated.

void TAO_Root_POA::servant_deactivated_hook | ( | PortableServer::Servant | servant,
|  | const PortableServer::ObjectId & | oid |
| ) |  |  | `[virtual]`

Hook - A servant has been deactivated.

ACE_INLINE TAO_SYNCH_CONDITION & TAO_Root_POA::servant_deactivation_condition | ( | void |  | ) |

CORBA::Boolean TAO_Root_POA::servant_has_remaining_activations | ( | PortableServer::Servant | servant | ) |

TAO_SERVANT_LOCATION TAO_Root_POA::servant_present | ( | const PortableServer::ObjectId & | system_id,
|  | PortableServer::Servant & | servant |
| ) |  |  |

PortableServer::ObjectId * TAO_Root_POA::servant_to_id | ( | PortableServer::Servant | p_servant | ) | throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)

PortableServer::ObjectId * TAO_Root_POA::servant_to_id_i | ( | PortableServer::Servant | servant | ) | throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)

CORBA::Object_ptr TAO_Root_POA::servant_to_reference | ( | PortableServer::Servant | p_servant | ) | throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)

CORBA::Object_ptr TAO_Root_POA::servant_to_reference_i | ( | PortableServer::Servant | p_servant | ) | throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)`[protected]`

PortableServer::ObjectId * TAO_Root_POA::servant_to_user_id | ( | PortableServer::Servant | p_servant | ) | throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)

CORBA::Short TAO_Root_POA::server_priority | ( | void |  | ) | const

CORBA::Policy * TAO_Root_POA::server_protocol | ( | void |  | ) | `[virtual]`

void TAO_Root_POA::set_folded_name | ( | TAO_Root_POA * | parent | ) | `[protected]`

void TAO_Root_POA::set_id | ( | TAO_Root_POA * | parent | ) | `[protected]`

void TAO_Root_POA::set_obj_ref_factory | ( | PortableInterceptor::ObjectReferenceFactory * | current_factory | ) | `[protected]`

Set the object reference factory.

void TAO_Root_POA::set_servant | ( | PortableServer::Servant | servant | ) | throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)

void TAO_Root_POA::set_servant_manager | ( | PortableServer::ServantManager_ptr | imgr | ) | throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)

ACE_INLINE CORBA::Boolean TAO_Root_POA::system_id | ( | void |  | ) |

ACE_INLINE char TAO_Root_POA::system_id_key_char | ( | void |  | ) | `[static, protected]`

ACE_INLINE CORBA::ULong TAO_Root_POA::system_id_key_type_length | ( | void |  | ) | `[static, protected]`

ACE_INLINE const TAO_Object_Adapter::poa_name & TAO_Root_POA::system_name | ( | void |  | ) | const

TAO_POA_Manager & TAO_Root_POA::tao_poa_manager | ( |  | ) |

Return the POA Manager related to this POA.

void TAO_Root_POA::the_activator | ( | PortableServer::AdapterActivator_ptr | adapter_activator | ) | throw (CORBA::SystemException)

PortableServer::AdapterActivator_ptr TAO_Root_POA::the_activator | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

Implements PortableServer::POA.

PortableServer::POAList * TAO_Root_POA::the_children | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

Implements PortableServer::POA.

PortableServer::POAList * TAO_Root_POA::the_children_i | ( |  | ) | throw (CORBA::SystemException)`[protected]`

char* TAO_Root_POA::the_name | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

Implements PortableServer::POA.

PortableServer::POA_ptr TAO_Root_POA::the_parent | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

Implements PortableServer::POA.

Reimplemented in TAO_Regular_POA.

PortableServer::POAManager_ptr TAO_Root_POA::the_POAManager | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

Implements PortableServer::POA.

ACE_INLINE void * TAO_Root_POA::thread_pool | ( | void |  | ) | const`[virtual]`

ACE_INLINE char TAO_Root_POA::transient_key_char | ( | void |  | ) | `[static, protected]`

int TAO_Root_POA::unbind_using_user_id | ( | const PortableServer::ObjectId & | user_id | ) |

ACE_INLINE char TAO_Root_POA::user_id_key_char | ( | void |  | ) | `[static, protected]`

PortableServer::Servant TAO_Root_POA::user_id_to_servant_i | ( | const PortableServer::ObjectId & | oid | ) | throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)

bool TAO_Root_POA::validate_lifespan | ( | CORBA::Boolean | is_persistent,
|  | const TAO::Portable_Server::Temporary_Creation_Time & | creation_time |
| ) |  |  | const

void TAO_Root_POA::wait_for_completions | ( | CORBA::Boolean | wait_for_completion | ) | `[protected]`

ACE_INLINE CORBA::Boolean TAO_Root_POA::waiting_destruction | ( | void |  | ) | const

CORBA::ULong TAO_Root_POA::waiting_servant_deactivation | ( | void |  | ) | const

## Friends And Related Function Documentation

friend class TAO::Portable_Server::Non_Servant_Upcall`[friend]`

friend class TAO::Portable_Server::Servant_Upcall`[friend]`

friend class TAO_IORInfo`[friend]`

friend class TAO_Object_Adapter`[friend]`

friend class TAO_POA_Manager`[friend]`

friend class TAO_RT_Collocation_Resolver`[friend]`

## Member Data Documentation

TAO::Portable_Server::Active_Policy_Strategies TAO_Root_POA::active_policy_strategies_`[protected]`

PortableServer::AdapterActivator_var TAO_Root_POA::adapter_activator_`[protected]`

PortableInterceptor::AdapterState TAO_Root_POA::adapter_state_`[protected]`

Adapter can be accepting, rejecting etc.

TAO::Portable_Server::Cached_Policies TAO_Root_POA::cached_policies_`[protected]`

CORBA::ULong TAO_Root_POA::caller_key_to_object_

CHILDREN TAO_Root_POA::children_`[protected]`

CORBA::Boolean TAO_Root_POA::cleanup_in_progress_`[protected]`

TAO_Object_Adapter::poa_name TAO_Root_POA::folded_name_`[protected]`

CORBA::OctetSeq TAO_Root_POA::id_`[protected]`

Key_To_Object_Params TAO_Root_POA::key_to_object_params_

ACE_Lock& TAO_Root_POA::lock_`[protected]`

String TAO_Root_POA::name_`[protected]`

TAO_Object_Adapter* TAO_Root_POA::object_adapter_`[protected]`

The object adapter we belong to.

TAO_BEGIN_VERSIONED_NAMESPACE_DECL CORBA::Octet const TAO_Root_POA::objectkey_prefix`[static]`

Initial value:

     {
      024,
      001,
      017,
      000
    }

TAO_ORB_Core& TAO_Root_POA::orb_core_`[protected]`

Reimplemented from CORBA::Object.

TAO::ORT_Adapter* TAO_Root_POA::ort_adapter_`[protected]`

Pointer to the object reference template adapter.

CORBA::ULong TAO_Root_POA::outstanding_requests_`[protected]`

TAO_SYNCH_CONDITION TAO_Root_POA::outstanding_requests_condition_`[protected]`

TAO_POA_Manager& TAO_Root_POA::poa_manager_`[protected]`

The POA Manager belonging to this POA.

TAO_POA_Policy_Set TAO_Root_POA::policies_`[protected]`

ACE_Array_Base<IOP::ProfileId> TAO_Root_POA::profile_id_array_`[protected]`

TAO_SYNCH_CONDITION TAO_Root_POA::servant_deactivation_condition_`[protected]`

PortableServer::Servant TAO_Root_POA::servant_for_key_to_object_

TAO_Object_Adapter::poa_name_var TAO_Root_POA::system_name_`[protected]`

IOP::TaggedComponentList TAO_Root_POA::tagged_component_`[protected]`

IOP::TaggedComponentList TAO_Root_POA::tagged_component_id_`[protected]`

CORBA::Boolean TAO_Root_POA::wait_for_completion_pending_`[protected]`

CORBA::Boolean TAO_Root_POA::waiting_destruction_`[protected]`

The documentation for this class was generated from the following files:

- Root_POA.h
- Root_POA.cpp
- Root_POA.inl